<script setup lang="ts">
import { inject, type Ref } from 'vue'

const rail = inject<Ref<boolean>>('rail')
</script>
<template>
  <v-app-bar
    color="pink-darken-4"
    image="https://i.pinimg.com/564x/fe/7e/28/fe7e28760558a8c91052e470123e2e85.jpg"
  >
    <template v-slot:image>
      <v-img gradient="to top right, rgba(252,210,223,.8), rgba(252,210,223,.8)"></v-img>
    </template>

    <template v-slot:prepend>
      <v-app-bar-nav-icon @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>Title</v-app-bar-title>

    <v-spacer></v-spacer>

    <v-btn icon>
      <v-icon>mdi-magnify</v-icon>
    </v-btn>

    <v-btn icon>
      <v-icon>mdi-heart</v-icon>
    </v-btn>

    <v-btn icon>
      <v-icon>mdi-dots-vertical</v-icon>
    </v-btn>
  </v-app-bar>
</template>
